# Fiwo
[![Build Status](https://secure.travis-ci.org/Fiwo/Fiwo.png?branch=master)](https://travis-ci.org/Fiwo/Fiwo)
[![npm](https://img.shields.io/npm/dm/fiwo.svg)](https://www.npmjs.com/package/fiwo)
[![npm](https://img.shields.io/npm/l/fiwo.svg)](https://www.npmjs.com/package/fiwo)

> JavaScript library for work with files 

## Requirements
* [Promise API](https://developer.mozilla.org/en/docs/Web/JavaScript/Reference/Global_Objects/Promise)
* [JavaScript typed arrays](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Typed_arrays)

### In browser
* [Web Workers API](https://developer.mozilla.org/en/docs/Web/API/Worker)
* [File API](https://developer.mozilla.org/en/docs/Web/API/File)

## Supported formats
- [ ] FB (.fb2, FictionBook 2.0), [fiwo-fictionbook-reader](https://github.com/Fiwo/fiwo-fictionbook-reader)
- [ ] OOXML (.docx), [fiwo-ooxml-reader](https://github.com/Fiwo/fiwo-ooxml-reader)
- [ ] ODF (.odt)
- [ ] RTF
- [ ] Epub
- [ ] DSV (.csv)
- [ ] WCBFF (.doc)
- [ ] Markdown
