import { IncomingData, IncomingFile, FiwoFile } from './index';
export declare function registerReader(ReaderClass: Reader): void;
export declare class Reader {
    read(_data: IncomingData): Promise<FiwoFile | void>;
    static testFile(_data: IncomingData): Promise<boolean>;
}
export interface ReadParams {
    file: IncomingFile;
    reader?: Reader;
}
export declare function read({file, reader}: ReadParams): Promise<FiwoFile>;
